function [LogL, Vo] = fLogL_Joint1(P,Y,rk,rt,h,H)


	[H,U,Z] = {g_mH[][0],g_mH[][1],g_mH[][2]};
	[h,u,z] = {g_mh[][0],g_mh[][1],g_mh[][2]};


    [h u] = fFilter_realLogEGARCHc([P(1:8) 1 P(9:end)],Y,RK,size(Y,1));
    h_u   = [h, u];
    
    mu0  = P(2);
    s2_u = mean(h_u(2:end,2).^2);

    l    = -1*(log(h_u(:,1)) + ((Y-mu0).^2)./h_u(:,1) + log(s2_u) + 1);

    LogL = -sum(l(1:end,1));
    
    Vo   = [h_u (Y-mu0)./sqrt(h_u(:,1))];
    
end