function [S,Vo]=fLogLikc(P,Y,RK)

    [h u] = fFilter_realLogEGARCHc([P(1:8) 1 P(9:end)],Y,RK,size(Y,1));
    h_u   = [h, u];
    
    mu0    = P(2);
    sig2_u = mean(h_u(2:end,2).^2);

    tmp1=log(h_u(:,1));
    tmp2=(Y-mu0).^2;
    tmp2=tmp2./h_u(:,1);
    tmp3=log(sig2_u);
    l=-1*(tmp1+tmp2+tmp3+1);
    S=-sum(l(1:end,1));
    Vo= [h_u (Y-mu0)./sqrt(h_u(:,1))];
end